Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Defines | Enumerations | Functions | Variables

# enc/euc_tw.c File Reference

`#include "regenc.h"`
Include dependency graph for euc_tw.c:

Go to the source code of this file.

## Defines
#define | A ACCEPT
#define | F FAILURE
#define | RETURN(n)
#define | euctw_islead(c) ((UChar )((c) - 0xa1) > 0xfe - 0xa1)
## Enumerations
enum | state_t { FAILURE = -2, ACCEPT = -1, S0 = 0, S1, FAILURE = -2, ACCEPT = -1, S0 = 0, S1, FAILURE = -2, ACCEPT = -1, S0 = 0, S1, S2, S3, S4, S5, S6, FAILURE = -2, ACCEPT = -1, S0 = 0, S1, S2, FAILURE = -2, ACCEPT = -1, S0 = 0, S1, FAILURE = -2, ACCEPT = -1, S0 = 0, S1, S2, S3, FAILURE = -2, ACCEPT = -1, S0 = 0, S1, S2, S3, FAILURE = -2, ACCEPT = -1, S0 = 0, S1, FAILURE = -2, ACCEPT = -1, S0 = 0, S1, FAILURE = -2, ACCEPT, S0, S1, S2, S3, S4, S5, S6, S7 }
## Functions
static int | euctw_mbc_enc_len (const UChar *p, const UChar *e, OnigEncoding enc ARG_UNUSED)
static OnigCodePoint | euctw_mbc_to_code (const UChar *p, const UChar *end, OnigEncoding enc ARG_UNUSED)
static int | euctw_code_to_mbc (OnigCodePoint code, UChar *buf, OnigEncoding enc)
static int | euctw_mbc_case_fold (OnigCaseFoldType flag, const UChar **pp, const UChar *end, UChar *lower, OnigEncoding enc)
static int | euctw_is_code_ctype (OnigCodePoint code, unsigned int ctype, OnigEncoding enc)
static UChar * | euctw_left_adjust_char_head (const UChar *start, const UChar *s, const UChar *end, OnigEncoding enc)
static int | euctw_is_allowed_reverse_match (const UChar *s, const UChar *end ARG_UNUSED, OnigEncoding enc ARG_UNUSED)
| OnigEncodingDefine (euc_tw, EUC_TW)
## Variables
static const int | EncLen_EUCTW []
static const signed char | trans [][0x100]

## Define Documentation

#define A ACCEPT

Definition at line 52 of file euc_tw.c.

#define euctw_islead | ( |  | c | ) | ((UChar )((c) - 0xa1) > 0xfe - 0xa1)

Definition at line 178 of file euc_tw.c.

Referenced by euctw_left_adjust_char_head().

#define F FAILURE

Definition at line 53 of file euc_tw.c.

#define RETURN | ( |  | n | ) |

Value:

    return s == ACCEPT ? ONIGENC_CONSTRUCT_MBCLEN_CHARFOUND(n) : \
                             ONIGENC_CONSTRUCT_MBCLEN_INVALID()

## Enumeration Type Documentation

enum state_t

Enumerator:

  FAILURE |
  ACCEPT |
  S0 |
  S1 |
  FAILURE |
  ACCEPT |
  S0 |
  S1 |
  FAILURE |
  ACCEPT |
  S0 |
  S1 |
  S2 |
  S3 |
  S4 |
  S5 |
  S6 |
  FAILURE |
  ACCEPT |
  S0 |
  S1 |
  S2 |
  FAILURE |
  ACCEPT |
  S0 |
  S1 |
  FAILURE |
  ACCEPT |
  S0 |
  S1 |
  S2 |
  S3 |
  FAILURE |
  ACCEPT |
  S0 |
  S1 |
  S2 |
  S3 |
  FAILURE |
  ACCEPT |
  S0 |
  S1 |
  FAILURE |
  ACCEPT |
  S0 |
  S1 |
  FAILURE |
  ACCEPT |
  S0 |
  S1 |
  S2 |
  S3 |
  S4 |
  S5 |
  S6 |
  S7 |

Definition at line 51 of file euc_tw.c.

## Function Documentation

static int euctw_code_to_mbc | ( | OnigCodePoint | code,
|  | UChar * | buf,
|  | OnigEncoding | enc
| ) |  | `[static]`

Definition at line 159 of file euc_tw.c.

References onigenc_mb4_code_to_mbc().

static int euctw_is_allowed_reverse_match | ( | const UChar * | s,
|  | const UChar *end | ARG_UNUSED,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  | `[static]`

Definition at line 200 of file euc_tw.c.

References FALSE, TRUE, and UChar.

static int euctw_is_code_ctype | ( | OnigCodePoint | code,
|  | unsigned int | ctype,
|  | OnigEncoding | enc
| ) |  | `[static]`

Definition at line 173 of file euc_tw.c.

References onigenc_mb4_is_code_ctype().

static UChar* euctw_left_adjust_char_head | ( | const UChar * | start,
|  | const UChar * | s,
|  | const UChar * | end,
|  | OnigEncoding | enc
| ) |  | `[static]`

Definition at line 181 of file euc_tw.c.

References enclen, euctw_islead, len, and UChar.

static int euctw_mbc_case_fold | ( | OnigCaseFoldType | flag,
|  | const UChar ** | pp,
|  | const UChar * | end,
|  | UChar * | lower,
|  | OnigEncoding | enc
| ) |  | `[static]`

Definition at line 165 of file euc_tw.c.

References onigenc_mbn_mbc_case_fold().

static int euctw_mbc_enc_len | ( | const UChar * | p,
|  | const UChar * | e,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  | `[static]`

Definition at line 132 of file euc_tw.c.

References EncLen_EUCTW, ONIGENC_CONSTRUCT_MBCLEN_NEEDMORE, RETURN, and trans.

static OnigCodePoint euctw_mbc_to_code | ( | const UChar * | p,
|  | const UChar * | end,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  | `[static]`

Definition at line 153 of file euc_tw.c.

References onigenc_mbn_mbc_to_code().

OnigEncodingDefine | ( | euc_tw | ,
|  | EUC_TW |
| ) |  |

## Variable Documentation

const int EncLen_EUCTW[]`[static]`

Initial value:

     {
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 4, 1,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
      2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
      2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
      2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
      2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
      2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 1
    }

Definition at line 32 of file euc_tw.c.

Referenced by euctw_mbc_enc_len().

const signed char trans[][0x100]`[static]`

Definition at line 54 of file euc_tw.c.

Referenced by euctw_mbc_enc_len().